<?php

    require('../admin/components/db_config.php');
    require('../admin/components/utils.php');

    date_default_timezone_set("America/Chicago");

    session_start();
    if(!(isset($_SESSION['login']) && $_SESSION['login'] == true)){
        redirect('index.php');
    }

    if(isset($_POST['review_form'])){
        $frm_data = filteration($_POST);
        $update_query = "UPDATE `booking_order` SET `review`=? WHERE `booking_id`=? AND `user_id`=?";
        $update_values = [1, $frm_data['booking_id'], $_SESSION['uerID']];
        $update_result = update($update_query, $update_values, 'iii');
        
        $insert_query = "INSERT INTO `review`(`booking_id`, `room_id`, `user_id`, `room_review`, `clean_review`, `staff_review`, `service_review`, `review`) VALUES (?, ?, ?, ?, ?, ?, ?, ?)";
        $insert_values = [$frm_data['booking_id'], $frm_data['room_id'], $_SESSION['uerID'], $frm_data['room_review'], $frm_data['clean_review'], $frm_data['staff_review'], $frm_data['service_review'], $frm_data['review']];
        $insert_result = insert($insert_query, $insert_values, 'iiiiiiis');

        echo $insert_result;
    }

?>